低危 Back In Time竞争条件漏洞

CVE编号

CVE-2017-7572

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-04-07
漏洞描述
Back In Time(又名backintime)是一套Linux备份工具。

Back In Time 1.1.18及之前的版本中的serviceHelper.py文件的‘_checkPolkitPrivilege’函数存在竞争条件漏洞。攻击者可利用该漏洞替换用户的请求进程。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://github.com/bit-team/backintime/commit/7f208dc547f569b689c888103e3b593a48cd1869
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 backintime_project backintime * Up to
(including)
1.1.18
运行在以下环境
系统 fedora_24 backintime * Up to
(excluding)
1.1.20-1.fc24
运行在以下环境
系统 fedora_24 backintime-lang * Up to
(excluding)
1.1.20-1.fc24
运行在以下环境
系统 fedora_24 backintime-qt4 * Up to
(excluding)
1.1.20-1.fc24
运行在以下环境
系统 fedora_25 backintime * Up to
(excluding)
1.1.20-1.fc25
运行在以下环境
系统 fedora_25 backintime-lang * Up to
(excluding)
1.1.20-1.fc25
运行在以下环境
系统 fedora_25 backintime-qt4 * Up to
(excluding)
1.1.20-1.fc25
运行在以下环境
系统 fedora_26 backintime * Up to
(excluding)
1.1.20-1.fc26
运行在以下环境
系统 fedora_26 backintime-lang * Up to
(excluding)
1.1.20-1.fc26
运行在以下环境
系统 fedora_26 backintime-qt4 * Up to
(excluding)
1.1.20-1.fc26
运行在以下环境
系统 opensuse_Leap_42.1 backintime * Up to
(excluding)
1.1.20-3.3.1
运行在以下环境
系统 opensuse_Leap_42.1 backintime-lang * Up to
(excluding)
1.1.20-3.3.1
运行在以下环境
系统 opensuse_Leap_42.1 backintime-qt4 * Up to
(excluding)
1.1.20-3.3.1
运行在以下环境
系统 opensuse_Leap_42.2 backintime * Up to
(excluding)
1.1.20-3.3.1
运行在以下环境
系统 opensuse_Leap_42.2 backintime-lang * Up to
(excluding)
1.1.20-3.3.1
运行在以下环境
系统 opensuse_Leap_42.2 backintime-qt4 * Up to
(excluding)
1.1.20-3.3.1
运行在以下环境
系统 ubuntu_16.04 backintime * Up to
(excluding)
1.1.2-2~build0.16.04.1
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-362 使用共享资源的并发执行不恰当同步问题(竞争条件)
阿里云安全产品覆盖情况